Bug 104405 - security/tor-devel's pkg-plist contains all entries twice
Summary: security/tor-devel's pkg-plist contains all entries twice
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-14 13:40 UTC by Fabian Keil
Modified: 2006-10-20 08:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2006-10-14 13:40:18 UTC
security/tor-devel's pkg-plist (rev 1.11) contains all entries twice.

This causes pkg_add to fail and leads to some warnings with make deinstall.

Fix: 

perl -i"" -ne "print; exit if /^@/" /usr/ports/security/tor-devel/pkg-plist
How-To-Repeat: Build a package and try to install it,
or run make install, make deinstall.
Comment 1 Edwin Groothuis freebsd_committer 2006-10-14 13:40:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Peter Thoenen 2006-10-15 06:37:08 UTC
Not going to summit a patch as its a quick easy fix.

Port Committer: Just remove the duplicate entries for pkg-plist; 
surprised portlint didn't catch it.

Don't worry about bumping the epoch, not a big enough deal and a new
-devel will be out soon enough.
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-10-15 11:15:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-10-15 11:16:03 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 5 dfilter service freebsd_committer 2006-10-20 08:20:30 UTC
itetcu      2006-10-20 07:20:21 UTC

  FreeBSD ports repository

  Modified files:
    security/tor-devel   pkg-plist 
  Log:
  Fix plist.
  
  PR:             ports/104405
  Submitted by:   Fabian Keil<fk@fabiankeil.de>
  Approved by:    portmgr (erwin), Peter Thoenen (maintainer)
  
  Revision  Changes    Path
  1.12      +0 -6      ports/security/tor-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-10-20 08:22:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!